#include <Array.au3>
#include <MsgBoxConstants.au3>
#include <Date.au3>
#include <xlsxNative.au3>		; Zugriff auf Excel-Dateien/Arbeitsbltter ohne Excel :) funktioniert entweder mit 7za (mitliefern) oder dem eingebauten unzip (etwas langsamer)

$sname = "TestPrg"
$sdatei = "20210826 Bsp.Tabelle.xlsm"


	ConsoleWrite(@CRLF & $sdatei & @crlf)
	consolewrite(_NowTime() & @CRLF)

	; die Probleme sind entstanden durch die Erweiterung der Tabelle um Preisvergleichsspalten, das hat die Verarbeitungszeit exponentiell gesteigert
	;
	; _xlsx_2Array(Const $sFile, Const $sSheetNr = 1, $dRowFrom = 1, $dRowTo = Default)
	; xlsx-Datei ins Kabellisten-Array einlesen
	$aProA_kabelliste = _xlsx_2Array($sdatei, 1, 1, Default)
	if @error <> 0 Then
		MsgBox(BitOR($MB_ICONERROR, $MB_SYSTEMMODAL), $sname & " - xlsxNative", $aProA_kabelliste & " kann nicht geffnet werden." & @CRLF & _
			"TempDir  : " & @TempDir & @CRLF & _
			@scriptdir & @CRLF & @crlf & _
			"error : " & @error & @CRLF & "extended : " & @extended)
		Exit
	EndIf


	ConsoleWrite($sdatei & @crlf)
	Consolewrite(_NowTime() & @CRLF  & @CRLF)

#cs
	; prfen obs dieses Arbeitsblatt berhaupt gibt, dazu die Zelle B12 bzw. im Array[11][1]auf
	; den String "Letzes Update durchgefhrt" ... prfen
	If StringInStr($aProA_kabelliste[11][1], "Letzes Update durchgefhrt", $STR_NOCASESENSEBASIC) = 0 Then
		MsgBox(BitOR($MB_ICONERROR, $MB_SYSTEMMODAL), $sname & " - xlsxNative", "Das Arbeitsblatt kann nicht geffnet werden" & @CRLF & _
				"(falsche/genderte Excel-Datei, Tabellenblatt fehlt)" & @CRLF & _
				"oder wurde verschoben (es sollte das 3. Arbeitsblatt sein).)" & @CRLF & @CRLF & _
				"@error = " & @error & ", @extended = " & @extended)
		Exit
	EndIf
#ce
	; Debug, Anzeige des Arrays mit dem vollstndigen Arbeitsblatt "_____E-Teile_____"
	; der Name ist allerdings irrelevant, da das Arbeitsblatt ber die Nummer - 3 - angesprochen wird (das Dritte von 10 Arbeitsblttern)
	; liegt in der UDF xlsxNative begrndet ..
	_ArrayDisplay($aProA_kabelliste, "_____E-Teile_____ - Array eingelesen")

Exit
